javax.faces.context

## Class ExceptionHandlerWrapper

- java.lang.Object
- - javax.faces.context.ExceptionHandler
  - - javax.faces.context.ExceptionHandlerWrapper

- All Implemented Interfaces:
    EventListener, FacesListener, SystemEventListener, FacesWrapper<ExceptionHandler>

      public abstract class ExceptionHandlerWrapper
      extends ExceptionHandler
      implements FacesWrapper<ExceptionHandler>

  Provides a simple implementation of `ExceptionHandler` that can be subclassed by developers wishing to provide specialized behavior to an existing `ExceptionHandler` instance. The default implementation of all methods is to call through to the wrapped `ExceptionHandler` instance.

  Usage: extend this class and override `getWrapped()` to return the instance we are wrapping.

  Since:
    2.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExceptionHandlerWrapper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExceptionQueuedEvent` | `getHandledExceptionQueuedEvent()` The default behavior of this method is to call `ExceptionHandler.getHandledExceptionQueuedEvent()` on the wrapped `ExceptionHandler` object.
    `Iterable<ExceptionQueuedEvent>` | `getHandledExceptionQueuedEvents()` The default behavior of this method is to call `ExceptionHandler.getHandledExceptionQueuedEvents()` on the wrapped `ExceptionHandler` object.
    `Throwable` | `getRootCause(Throwable t)` The default behavior of this method is to call `ExceptionHandler.getRootCause(Throwable)` on the wrapped `ExceptionHandler` object.
    `Iterable<ExceptionQueuedEvent>` | `getUnhandledExceptionQueuedEvents()` The default behavior of this method is to call `ExceptionHandler.getUnhandledExceptionQueuedEvents()` on the wrapped `ExceptionHandler` object.
    `abstract ExceptionHandler` | `getWrapped()` A class that implements this interface uses this method to return an instance of the class being wrapped.
    `void` | `handle()` The default behavior of this method is to call `ExceptionHandler.handle()` on the wrapped `ExceptionHandler` object.
    `boolean` | `isListenerForSource(Object source)` The default behavior of this method is to call `ExceptionHandler.isListenerForSource(Object)` on the wrapped `ExceptionHandler` object.
    `void` | `processEvent(SystemEvent event)` The default behavior of this method is to call `ExceptionHandler.processEvent(javax.faces.event.SystemEvent)` on the wrapped `ExceptionHandler` object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExceptionHandlerWrapper

          public ExceptionHandlerWrapper()

  - ### Method Detail

    - #### getWrapped

          public abstract ExceptionHandler getWrapped()

      Description copied from interface: `FacesWrapper`

      A class that implements this interface uses this method to return an instance of the class being wrapped.

      Specified by:
        `getWrapped` in interface `FacesWrapper<ExceptionHandler>`
      Returns:
        the wrapped `ExceptionHandler` instance
      See Also:
        `FacesWrapper.getWrapped()`

    - #### getHandledExceptionQueuedEvent

          public ExceptionQueuedEvent getHandledExceptionQueuedEvent()

      The default behavior of this method is to call `ExceptionHandler.getHandledExceptionQueuedEvent()` on the wrapped `ExceptionHandler` object.

      Specified by:
        `getHandledExceptionQueuedEvent` in class `ExceptionHandler`
      See Also:
        `ExceptionHandler.getHandledExceptionQueuedEvent()`

    - #### handle

          public void handle()
                      throws FacesException

      The default behavior of this method is to call `ExceptionHandler.handle()` on the wrapped `ExceptionHandler` object.

      Specified by:
        `handle` in class `ExceptionHandler`
      Throws:
        `FacesException` - if and only if a problem occurs while performing the algorithm to handle the `Exception`, not as a means of conveying a handled `Exception` itself.
      See Also:
        `ExceptionHandler.handle()`

    - #### isListenerForSource

          public boolean isListenerForSource(Object source)

      The default behavior of this method is to call `ExceptionHandler.isListenerForSource(Object)` on the wrapped `ExceptionHandler` object.

      Specified by:
        `isListenerForSource` in interface `SystemEventListener`
      Specified by:
        `isListenerForSource` in class `ExceptionHandler`
      Parameters:
        `source` - the source that is inquiring about the appropriateness of sending an event to this listener instance.
      See Also:
        `()`

    - #### processEvent

          public void processEvent(SystemEvent event)
                            throws AbortProcessingException

      The default behavior of this method is to call `ExceptionHandler.processEvent(javax.faces.event.SystemEvent)` on the wrapped `ExceptionHandler` object.

      Specified by:
        `processEvent` in interface `SystemEventListener`
      Specified by:
        `processEvent` in class `ExceptionHandler`
      Parameters:
        `event` - the `SystemEvent` instance that is being processed.
      Throws:
        `AbortProcessingException` - if lifecycle processing should cease for this request.
      See Also:
        `ExceptionHandler.processEvent(javax.faces.event.SystemEvent)`

    - #### getRootCause

          public Throwable getRootCause(Throwable t)

      The default behavior of this method is to call `ExceptionHandler.getRootCause(Throwable)` on the wrapped `ExceptionHandler` object.

      Specified by:
        `getRootCause` in class `ExceptionHandler`
      See Also:
        `ExceptionHandler.getRootCause(Throwable)`

    - #### getHandledExceptionQueuedEvents

          public Iterable<ExceptionQueuedEvent> getHandledExceptionQueuedEvents()

      The default behavior of this method is to call `ExceptionHandler.getHandledExceptionQueuedEvents()` on the wrapped `ExceptionHandler` object.

      Specified by:
        `getHandledExceptionQueuedEvents` in class `ExceptionHandler`
      See Also:
        `ExceptionHandler.getHandledExceptionQueuedEvents()`

    - #### getUnhandledExceptionQueuedEvents

          public Iterable<ExceptionQueuedEvent> getUnhandledExceptionQueuedEvents()

      The default behavior of this method is to call `ExceptionHandler.getUnhandledExceptionQueuedEvents()` on the wrapped `ExceptionHandler` object.

      Specified by:
        `getUnhandledExceptionQueuedEvents` in class `ExceptionHandler`
      See Also:
        `ExceptionHandler.getUnhandledExceptionQueuedEvents()`

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.